## debmake 1.95

=== Makefile ===
# This makefile is really small. Most of the
# intelligence is in debian/debstd

all:
	gcc -O2 -o build build.c
	gcc -O2 -o debpkg debpkg.c

clean:
	-rm build

install:	
	install -d $(DESTDIR)/usr/{bin,sbin}
	install debi debc release alien bug deb-make debmstd debstd debchange $(DESTDIR)/usr/bin
	install debclean $(DESTDIR)/usr/bin
# Permissions for these are set in debian/rules
	install build debpkg $(DESTDIR)/usr/bin
	ln -s debchange $(DESTDIR)/usr/bin/dch
	install -d $(DESTDIR)/usr/lib/deb-make $(DESTDIR)/var/lib/alien
	cp -a lib/* $(DESTDIR)/usr/lib/deb-make

=== debian/changelog ===
debmake (1.95) unstable; urgency=low

  * release: Changes file was not uploaded (why is it not listed in the
    changesfile itself if it is to be uploaded ????)

 -- Christoph Lameter <clameter@waterf.org>  Mon, 11 Nov 1996 21:30:20 -0800

debmake (1.94) unstable; urgency=low

  * alien: bug when building rpm packages
  * deb-make does no longer accept strange characters in directorynames.

 -- Christoph Lameter <clameter@waterf.org>  Fri, 8 Nov 1996 19:41:30 -0800

debmake (1.93) unstable; urgency=low

  * bug: Depends: field was required in the description of the package
    processed.
  * debstd: bug in info processing. copied from debian instead of the main
    sourcedirectory.

 -- Christoph Lameter <clameter@waterf.org>  Fri, 8 Nov 1996 15:44:33 -0800

debmake (1.92) unstable; urgency=low

  * build: manpage updated
  * build: add support for targets binary-indep and binary-arch

 -- Christoph Lameter <clameter@waterf.org>  Fri, 8 Nov 1996 06:12:18 -0800

debmake (1.91) unstable; urgency=low

  * suidwrappers will be disabled on installation/upgrade. Instructions are
    provided on how to use these wrappers from sudo, super or directly in
    README.debian.

 -- Christoph Lameter <clameter@waterf.org>  Thu, 7 Nov 1996 13:39:50 -0800

debmake (1.90) unstable; urgency=low

  * depend on dpkg and dpkg-dev
  * debmstd: New command for experimental support of multi-binary packages
    (debmstd will replace debstd when tested and found stable)
  * debmake: Generates templates for multi-binary packages
  * release: improved handling of files for multi-binary support
  * Example setup for multi-binary support included (mgetty)

 -- Christoph Lameter <clameter@waterf.org>  Wed, 6 Nov 1996 10:06:41 -0800

debmake (1.23) unstable; urgency=low

  * release: add an option "announce" to manually specify that
    debian/control should be posted.
  * bug in release: Announcement generated for releases

 -- Christoph Lameter <clameter@waterf.org>  Tue, 5 Nov 1996 10:54:34 -0800

debmake (1.22) unstable; urgency=low

  * New directive in init scripts: NO_RESTART_ON_UPGRADE
  * Location of check for conffiles moved in debstd

 -- Christoph Lameter <clameter@waterf.org>  Tue, 5 Nov 1996 06:26:27 -0800

debmake (1.21) unstable; urgency=low

  * control prototype: standards made current
  * rules prototype chmod changed (Brian C. White)

 -- Christoph Lameter <clameter@waterf.org>  Mon, 4 Nov 1996 09:13:54 -0800

debmake (1.20) unstable; urgency=low

  * debclean: can be called as a regular user
  * build: Added clean option

 -- Christoph Lameter <clameter@waterf.org>  Mon, 4 Nov 1996 05:42:37 -0800

debmake (1.19) unstable; urgency=low

  * build: Fixed behavior in case invoked in the wrong directory
  * debstd: Build /usr/doc/package/buildinfo.Debian with information
    regarding the system it was build on. (Chris Fearnley)
  * rules prototype revised
  * Removed junk from changelog prototype

 -- Christoph Lameter <clameter@waterf.org>  Sun, 3 Nov 1996 16:54:09 -0800

debmake (1.18) unstable; urgency=low

  * debc does both dpkg -I and dpkg -c

 -- Christoph Lameter <clameter@waterf.org>  Sun, 3 Nov 1996 16:04:35 -0800

debmake (1.17) unstable; urgency=low

  * deb-make + alien: Username lookup now possible via NIS

 -- Christoph Lameter <clameter@waterf.org>  Sat, 2 Nov 1996 17:29:14 -0800

debmake (1.16) unstable; urgency=low

  * Some fixes to README.debian
  * Fixed bugs in the way debian/changelog is located in debi,debc,release

 -- Christoph Lameter <clameter@waterf.org>  Sat, 2 Nov 1996 09:52:59 -0800

debmake (1.15) unstable; urgency=low

  * New: "debi" installs generated .deb file (convenience script)
  * New: "debc" views contents of generated .deb file (convenience script)
  * Typical developmental cycle documented in README.debian
  * release: print scp error message and the e-mail address the announcement goes to

 -- Christoph Lameter <clameter@waterf.org>  Sat, 2 Nov 1996 08:48:25 -0800

debmake (1.14) unstable; urgency=low

  * New: "build" a suid wrapper for dpkg-buildpackage and "debian/rules binary"
  * New: "debpkg" a suid wrapper for dpkg.
  * debmake includes C code now and thus is architecture dependent
  * Suid wrappers accessible for users of group "root" only.
  * Complete development cycle possible from a regular account without
    having to "su".
  * Added check for the presence of ssh to "release" before trying
    do to an upload to master.
  * bug: filters comments and empty lines out of conffiles so that the
    included conffiles are not that long anymore.

 -- Christoph Lameter <clameter@waterf.org>  Sat, 2 Nov 1996 06:27:15 -0800

debmake (1.13) unstable; urgency=low

  * Bug in release: Announce to wrong mailing list+ Bruces suggestions

 -- Christoph Lameter <clameter@waterf.org>  Fri, 1 Nov 1996 15:54:08 -0800

debmake (1.12) unstable; urgency=low

  * debchange: RELEASED file not erased
  * More errorchecking in release
  * Removed creation of /etc from prototype
  * Updated docs

 -- Christoph Lameter <clameter@waterf.org>  Fri, 1 Nov 1996 11:21:24 -0800

debmake (1.11) unstable; urgency=low

  * release script was not included

 -- Christoph Lameter <clameter@waterf.org>  Fri, 1 Nov 1996 11:15:23 -0800

debmake (1.10) unstable; urgency=low

  * Added a new tool "release" which will upload to master announce changes
    and record the fact that a release has been done in debian/RELEASED.
  * debchange: Generate a new release without specifically told so if
    the software has been released and a debian/RELEASED file is present.
  * debmake now takes the "Did I already upload this or not?" worry from you.
    and manages releases on its own.

 -- Christoph Lameter <clameter@waterf.org>  Fri, 1 Nov 1996 11:03:53 -0800

debmake (1.09) unstable; urgency=low

  * bug tool reworked: It now automatically includes Debian Version, Kernel
    version, a list of the version numbers of packages this package depends
    on and includes all modified conffiles.



=== debian/control ===
Source: debmake
Section: devel
Priority: optional
Maintainer: Christoph Lameter <clameter@waterf.org>
Standards-Version: 2.1.1.0

Package: debmake
Architecture: any
Depends: ${shlibs:Depends},dpkg,dpkg-dev
Description: Development environment for Debian Sourcepackages
 Eases the development and maintenance of Debian Sourcepackages, allows
 the integration of packages from other source (Red Hat, Slackware etc)
 called "Aliens"
 .
 - deb-make: Generate a debian style sourcepackage from a regular one.
   Customizes control files. Provides example setup for debstd that is
   usually usable with minimal editing.
 - debchange: Maintain debian/changelog files to record changes
 - debclean: Purge a debian sourcetree
 - release: Upload and manages release numbers
 - build: Suid wrapper to build a package without having to su.
 - debpkg : dpkg wrapper to be able to manage package without su.
 - debi,debc convenience scripts for often repeated maintainer tasks.
 - alien: Install/convert binary Red Hat, Slackware etc packages
 And most importantly "debstd" which has the following abilities:
 - Automatizes compression of documentation, localizes manpages
   compresses and installs them.
 - Generates maintainer scripts for you and installs all scripts
   in debian for you in the proper locations with the proper permissions.
 - Can perform modifications on a variety of important debian config files
   through generating proper maintainer scripts.
 - Runs dpkg-shlibdeps on all ELF binaries for you
 - Checks symlinks to manpages /documentation and redirects
   them if a file was compressed.

=== lib/debian/control ===
Source: #PACKAGE#
Section: unknown
Priority: extra
Maintainer: #USERNAME# <#EMAIL#>
Standards-Version: 2.1.1.0

Package: #PACKAGE#
Architecture: any
Depends: ${shlibs:Depends}
Description: Missing
 Missing

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

package=debmake

build.debian:
	$(checkdir)
	make

	touch build.debian

clean:
	$(checkdir)
	-rm -f build.debian
	-make clean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core

binary-indep:	checkroot build.debian
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build.debian
	$(checkdir)
	-rm -rf debian/tmp
	make install DESTDIR=debian/tmp
	./debmstd $(package) TODO
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
#	chmod 4750 debian/tmp/usr/bin/{build,debpkg}
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

=== lib/debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

package=#PACKAGE#

build:
	$(checkdir)
	make

	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/usr/{bin,sbin}
	make install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd $(package) CHANGES INSTALL README* TODO
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## debmake 3.3.1

=== Makefile ===
# This makefile is really small. Most of the
# intelligence is in debian/debstd

all:
	gcc -O2 -o build build.c
	gcc -O2 -o debpkg debpkg.c

clean:
	-rm build

install:	
	install -d $(DESTDIR)/usr/{bin,sbin}
	install uscan uupdate debi debc release deb-make debstd debchange $(DESTDIR)/usr/bin
	install debconf debsums deblint debclean todo done $(DESTDIR)/usr/bin
	install -g root -o root build debpkg $(DESTDIR)/usr/bin
	ln -s debchange $(DESTDIR)/usr/bin/dch
	install -d $(DESTDIR)/usr/lib/deb-make
	cp -r lib/* $(DESTDIR)/usr/lib/deb-make

=== debian/changelog ===
debmake (3.3.1) frozen unstable; urgency=high

  * Compiled with libc5 and gcc 2.7.2.1 for frozen
  * suid scripts: check for the presence of both /etc/suid.conf and
    /usr/sbin/xxx register before calling suidunregister etc.
  * Bug #9344 executable in /etc/rc.boot got a warning.

 -- Christoph Lameter <clameter@debian.org>  Sun, 4 May 1997 13:51:18 -0700

debmake (3.3.0) unstable; urgency=low

  * Do not install manpages with extension .1.ex
  * Build with libc6. Fixes for that purpose.
  * Drop debstdo (debmake 2.x compatibility script)

 -- Christoph Lameter <clameter@debian.org>  Sat, 12 Apr 1997 19:12:56 -0700

debmake (3.2.7) unstable; urgency=low

  * #8561 debstd inetd processing. Disable a service before installing
    another. Reenable other service on removal of package. Thanks to
    Tobias for telling me how to do it.

 -- Christoph Lameter <clameter@debian.org>  Mon, 7 Apr 1997 09:53:10 -0700

debmake (3.2.6) unstable; urgency=low

  * deb-make: if a package has a configure script generate "make distclean"
    instead of "make clean" #8388
  * debstd: support for autoinstall of manpages with suffixes #8412
  * debstd: Section 9 manpages were not correctly installed #8451 #8450

 -- Christoph Lameter <clameter@debian.org>  Wed, 2 Apr 1997 10:33:18 -0800

debmake (3.2.5) unstable; urgency=low

  * debstd manpage revised by Jim Van Zandt <jrv@vanzandt.mv.com>
  * Patch from Michael Alan Dorman <mdorman@calder.med.miami.edu> to
    compile against glibc #8326
  * Removed webstandard-3.0 document since it is now in the policy.

 -- Christoph Lameter <clameter@debian.org>  Wed, 26 Mar 1997 14:53:42 -0800

debmake (3.2.4) unstable; urgency=low

  * Strip static libararies with strip --strip-debug instead of a simple
    strip.

 -- Christoph Lameter <clameter@debian.org>  Sat, 15 Mar 1997 13:45:43 -0800

debmake (3.2.3) unstable; urgency=low

  * Fix bug #7819: Sharable libraries stripping

 -- Christoph Lameter <clameter@debian.org>  Tue, 4 Mar 1997 15:27:27 -0800

debmake (3.2.2) unstable; urgency=low

  * #7460 typo in debstd
  * Library rules example file: Remove -fomit-framepointer option.

 -- Christoph Lameter <clameter@debian.org>  Mon, 24 Feb 1997 18:03:52 -0800

debmake (3.2.1) unstable; urgency=low

  * debstd: Warning on /etc/services visually improved.
  * deb-make: generated rules file for a sourcepackage without a configure
    script set the DESTDIR variable slightly wrong.

 -- Christoph Lameter <clameter@debian.org>  Wed, 19 Feb 1997 12:19:48 -0800

debmake (3.2.0) unstable; urgency=low

  * #7414: debstd used to hang on empty DEBIAN directory (an empty DEBIAN directory
    is a bug IMHO because the control file is missing!)
  * #7402: Rename DEBIAN/checksums to debian/md5sums (this is
    INCOMPATIBLE!!! all packages need to be rebuilt)

 -- Christoph Lameter <clameter@debian.org>  Mon, 17 Feb 1997 20:52:49 -0800

debmake (3.1.10) unstable; urgency=low

  * Bug #7395: rmdir -rf in uupdate

 -- Christoph Lameter <clameter@debian.org>  Sat, 15 Feb 1997 07:13:13 -0800

debmake (3.1.9) unstable; urgency=low

  * Bug #7391: New feature: deb-make gives better advice on how to proceed after it
    has finished.
  * SVD: Templates updated to use && when running multiple commands.

 -- Christoph Lameter <clameter@debian.org>  Fri, 14 Feb 1997 19:28:43 -0800

debmake (3.1.8) unstable; urgency=low

  * deb-make: Was not working at all since 3.1.6 (wrong sed quoting)
  * debsums: Packages with multiple configuration files were not correctly
    processed.
  * debsums: Used to stop after first package which failed the check.

 -- Christoph Lameter <clameter@debian.org>  Thu, 13 Feb 1997 22:23:14 -0800

debmake (3.1.7) unstable; urgency=low

  * uupdate fix bug #7356
  * /bin/perl changed to /usr/bin/perl
  * configuration concept included in documentation 

 -- Christoph Lameter <clameter@debian.org>  Tue, 11 Feb 1997 21:18:34 -0800

debmake (3.1.6) unstable; urgency=low

  * debstd: name upstream changelog "changelog" instead of
    "changelog.upstream"
  * deb-make: some more intelligence according to suggestions from
    SVD (ok to abbreviate??).
  * rules templates: Headers changed according to suggestions from
    Santiago Vila Doncel

 -- Christoph Lameter <clameter@debian.org>  Tue, 11 Feb 1997 06:44:05 -0800

debmake (3.1.5) unstable; urgency=low

  * Fix bug #7304: deb-make customization of directories.
  * debstd: Was still warning about some executables in /usr/lib/xx

 -- Christoph Lameter <clameter@debian.org>  Mon, 10 Feb 1997 11:43:47 -0800

debmake (3.1.4) unstable; urgency=low

  * debstd: messed up current directory in checksums processing.

 -- Christoph Lameter <clameter@debian.org>  Mon, 10 Feb 1997 10:24:50 -0800

debmake (3.1.3) unstable; urgency=low

  * debstd: Warn if /etc/services is modified and tell maintainer to
    register changes made with netbase maintainer. Manpage updated.

 -- Christoph Lameter <clameter@debian.org>  Mon, 10 Feb 1997 09:21:05 -0800

debmake (3.1.2) unstable; urgency=low

  * debsums: check all available packages with checksums if no parameter
    specified.
  * debsums: Do not check configfiles for checksums. Add option
    -a to enable checks also for configfiles. Add option -s to just
    display errors.
  * debsums: Compare either installed checksums or checksums from a
    specified .deb package
  * debconf: Fix some bugs when configuring from a .deb package.

 -- Christoph Lameter <clameter@debian.org>  Sun, 9 Feb 1997 21:22:50 -0800

debmake (3.1.1) unstable; urgency=low

  * README.debian reworked to describe each command in more detail.

 -- Christoph Lameter <clameter@debian.org>  Sun, 9 Feb 1997 19:26:36 -0800

debmake (3.1.0) unstable; urgency=low

  * debstd: manpage updated with references to debsums and debconf
  * New Tool: debsums checks checksums of a package (if available)
  * New Tool: debconf runs the configure script or extracts configure script
    from a given .deb package and runs it.


=== debian/control ===
Source: debmake
Section: utils
Priority: optional
Maintainer: Christoph Lameter <clameter@debian.org>
Standards-Version: 2.1.2.2

Package: debmake
Architecture: any
Depends: ${shlibs:Depends},dpkg-dev,file,patch,perl
Description: Development environment for Debian Sourcepackages
 Eases the development and maintenance of Debian Sourcepackages.
 .
  - deb-make: Generate a debian style sourcepackage from a regular sourcecode
   archive. Customizes control files. Provides example setup for debstd that is
   usually usable with minimal editing.
  - debchange: Maintain debian/changelog files to record changes
  - debclean: Purge a debian sourcetree
  - release: Upload and manages release numbers. Integrates with dupload
  - build: Wrapper to build a package without having to su.
  - debpkg : dpkg wrapper to be able to manage packages without su.
  - debi,debc convenience scripts for often repeated maintainer tasks.
 And most importantly "debstd" which has the following abilities:
  - Automatizes compression of documentation, localizes manpages
   compresses and installs them.
  - Supports multiple binaries generated from a single source package
  - Generates maintainer scripts for you and installs all scripts
   for you in the proper locations with the proper permissions.
  - Can perform modifications on a variety of important debian config files
   through generation of proper maintainer scripts.
  - Runs dpkg-shlibdeps on all ELF binaries for you and generates correct
   shlibs file for provided libraries automatically.
  - Checks symlinks to manpages /documentation and redirects
   them if a file was compressed.

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	-rm -f build.debian
 	-make clean
 	-rm `find . -name "*~"`
-	-rm -rf debian/tmp debian/files* core
+	-rm -rf debian/tmp debian/*/tmp debian/files* core debian/substvars
 
 binary-indep:	checkroot build.debian
 	$(checkdir)
@@ -36,13 +36,12 @@
 
 binary-arch:	checkroot build.debian
 	$(checkdir)
-	-rm -rf debian/tmp
+	-rm -rf debian/tmp debian/*/tmp
 	make install DESTDIR=debian/tmp
-	./debmstd $(package) TODO
-	dpkg-gencontrol
+	./debstd forward* procmailrc HOWTO* *standard* convert* *concept
+	dpkg-gencontrol -pdebmake
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp
-#	chmod 4750 debian/tmp/usr/bin/{build,debpkg}
 	dpkg --build debian/tmp ..
 
 define checkdir

## debmake 3.5.11

=== Makefile ===
# This makefile is really small. Most of the
# intelligence is in debian/debstd

all:

clean:
	-rm -f build

install:	
	install -d $(DESTDIR)/usr/bin
	install deb-make debstd checkbash $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/lib/deb-make
	cp -r lib/* $(DESTDIR)/usr/lib/deb-make

=== debian/changelog ===
debmake (3.5.11) frozen unstable; urgency=medium

  * postinst calls ldconfig only when called with "configure" (Bug #23228).
  * Do not generate buildinfo.Debian files anymore.
  * Standards-Version: 2.4.1 (also in deb-make).
  * Section: devel.

 -- Santiago Vila <sanvila@ctv.es>  Mon,  8 Jun 1998 13:29:18 +0200

debmake (3.5.10) frozen unstable; urgency=low

  * Standards-Version: 2.4.0.0 (also in deb-make).
  * Symlinks to undocumented.7.gz now have a gzipped name.
  * Undocumented X binaries now have this symlink in /usr/X11R6/man.
  * debstd: expanded tabs to 2 spaces each (now I see it much better).

 -- Santiago Vila <sanvila@ctv.es>  Wed, 25 Mar 1998 14:21:43 +0100

debmake (3.5.9) unstable; urgency=low

  * Fixed typos in control file.
  * Slightly improved bashism check: replaced '{' and ',' by '{.*,.*}'.
  * Removed dependency on perl and awk, since they are both essential.

 -- Santiago Vila <sanvila@ctv.es>  Mon,  9 Mar 1998 20:47:32 +0100

debmake (3.5.8) unstable; urgency=high

  * debstd: Fixed an ugly bug introduced in the last release which
    made md5sums files to be wrong (DEBIAN entries were not excluded
    properly).

 -- Santiago Vila <sanvila@ctv.es>  Tue, 20 Jan 1998 21:53:31 +0100

debmake (3.5.7) unstable; urgency=low

  * Changed $1 == "ii" by $1 ~ /^.i/ to create buildinfo.Debian (Bug #16168).
  * debstd: Fixed find command in search of manpages (Bug #12255).
  * Use xargs to chmod files in usr/doc (Bug #11526).
  * Use xargs to calculate md5sums (Bug #12342).
  * Removed check for /etc/suid.conf in permission processing
    automatically inserted in postinsts and postrms (Bug #14729).
  * Moved "but may be used by others" comment in manpage.ex to the
    AUTHOR section (Bug #14789).

 -- Santiago Vila <sanvila@ctv.es>  Sun, 21 Dec 1997 21:31:35 +0100

debmake (3.5.6) unstable; urgency=low

  * New menu format for menu.ex (Bug #15059).
  * debstd always compress changelog (Bug #15202).
  * debstd never compress *.jpg or *.jpeg files (Bug #15194).
  * shared library major versions may contain letters (Bug #13025).
  * Removed all the tabs I don't like in debian/rules templates.
  * New macro #POLICY# for "Standards-Version:" field in templates.
    (just makes debmake easier to update).

 -- Santiago Vila <sanvila@ctv.es>  Tue, 16 Dec 1997 12:42:51 +0100

debmake (3.5.5) unstable; urgency=low

  * debstd always compress changelog.Debian (Bug #14623).
  * debsums and devscripts Suggested instead of Recommended (Bug #15239).
  * Default priority is `optional', not `extra' (Bug #14848).
  * Search for static libs also in /usr/*-linuxlibc1/lib (Bug #15664).
  * Removed obsolete comment "Below here is fairly generic really".
    It dates from the time when there was *a lot* of stuff below
    that line (i.e. old source format).
  * Add "Depends:" on awk (Bug #15697).
  * Standards-Version: 2.3.0.1
  * New maintainer.

 -- Santiago Vila <sanvila@ctv.es>  Sat, 13 Dec 1997 19:13:16 +0100

debmake (3.5.4) unstable; urgency=low

  * checkbash: Change Brace Expansion detection

 -- Christoph Lameter <clameter@debian.org>  Wed,  5 Nov 1997 22:38:06 -0800

debmake (3.5.3) unstable; urgency=low

  * #14525 Do not compress copyright file
  * checkbash: Suggestion from Herbert Xu to better recognize brace
    expansion
  * Do not compress .css doc files

 -- Christoph Lameter <clameter@debian.org>  Fri, 31 Oct 1997 20:38:27 -0800

debmake (3.5.2) unstable; urgency=low

  * Fix the suggests line to recommend devscripts and debsums (#14277)
  * #13858 again: Fix the regexp so that the updated "expr" accepts dashes.

 -- Christoph Lameter <clameter@debian.org>  Thu, 30 Oct 1997 16:37:00 -0800

debmake (3.5.1) unstable; urgency=low

  * #9585 Fixed one issue in example script and added a note about the
    nature of the example
  * #14031 Fixed in last release
  * #12169 Was due to an outdated "install" program. Deps were fixed.
  * #10761 A check for empty dirs was added some time ago.
  * Another attempt to fix #13875

 -- Christoph Lameter <clameter@debian.org>  Wed, 29 Oct 1997 15:32:59 -0800

debmake (3.5.0) unstable; urgency=low

  * #13858: Fix the errormessage of deb-make to accurately reflect the test
    on packagenames.
  * #13875 Try to fix the check for maintainer provided scripts so that
    maintainer provides scripts do not get changed to /bin/bash if bashisms
    detected. Herbert: Please test and refile bug if it still persists.
  * #13960 Do not install changelog.Debian if already manually installed by
    package maintainer.
  * Fix checkbash so it erases the temp file
  * Make debmake architecture all
  * Drop preinstallation configuration docs and tools.
  * Separate md5sum related tools into package debsums
  * Separate developer package generation scripts into package deb-devscripts
  * debmake now only contains deb-make and debstd which might be easily
    replaced by other more advanced package generation/maintenance tools
    (debhelper comes to mind).

 -- Christoph Lameter <clameter@debian.org>  Sun, 19 Oct 1997 12:40:47 -0700

debmake (3.4.3) unstable; urgency=low

  * release: #13846 Print list of bug to be cleared separated by comma.
  * Add erlangen upload site
  * #13777 debchange: Use print instead of printf
  * Quiet down the shell check for debian/rules

 -- Christoph Lameter <clameter@debian.org>  Mon, 29 Sep 1997 22:28:24 -0700

debmake (3.4.2) unstable; urgency=low

  * #13139: do not generate .so links for libraries
  * #13237: typo in uupdate
  * checkbash: Match for tabs in front of ~ to discern bash's tilde
    expansion. Filter comments out before doing analysis.

 -- Christoph Lameter <clameter@debian.org>  Sat, 20 Sep 1997 19:34:09 -0700

debmake (3.4.1) unstable; urgency=low

  * debstd: make so link not in the base package #13139. I am not sure if
    this is what is needed.
  * uscan: Fix comparision #13181
  * uscan: Fix manpage #13147
  * uupdate: Make it work with the new patch command



=== debian/control ===
Source: debmake
Section: devel
Priority: optional
Maintainer: Santiago Vila <sanvila@ctv.es>
Standards-Version: 2.4.1

Package: debmake
Architecture: all
Suggests: devscripts, debsums
Depends: dpkg-dev, file, fileutils (>= 3.16-4), patch, ed
Description: Debianizing Tool and automated binary generation
 Eases the development and maintenance of Debian Sourcepackages.
 .
  - deb-make: Generate a debian style sourcepackage from a regular sourcecode
   archive. Customizes control files. Provides example setup for debstd that is
   usually usable with minimal editing.
  - "debstd" which has the following abilities:
  - Automates compression of documentation, localizes manpages
   compresses and installs them.
  - Supports multiple binaries generated from a single source package
  - Generates maintainer scripts for you and installs all scripts
   for you in the proper locations with the proper permissions.
  - Can perform modifications on a variety of important debian config files
   through generation of proper maintainer scripts.
  - Runs dpkg-shlibdeps on all ELF binaries for you and generates correct
   shlibs file for provided libraries automatically.
  - Checks symlinks to manpages /documentation and redirects
   them if a file was compressed.

=== debian/rules ===
#!/usr/bin/make -f

package=debmake

build:
	$(checkdir)
	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/*/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp debian/*/tmp
	make install DESTDIR=debian/tmp
	./debstd HOWTO* convert*
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## debmake 3.5.18

=== Makefile ===
# This makefile is really small. Most of the
# intelligence is in debian/debstd

all:

clean:

install:
	install -d $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/lib/deb-make
	install -p deb-make debstd checkbash $(DESTDIR)/usr/bin
	cp -a lib/* $(DESTDIR)/usr/lib/deb-make

=== debian/changelog ===
debmake (3.5.18) frozen unstable; urgency=medium

  * According to policy, do the info unregistering in prerm, not in postrm.

 -- Santiago Vila <sanvila@ctv.es>  Tue,  8 Dec 1998 15:54:49 +0100

debmake (3.5.17) frozen unstable; urgency=high

  * debstd: Undo most the changes in 3.5.16. For now, it just warns.

 -- Santiago Vila <sanvila@ctv.es>  Mon, 23 Nov 1998 20:35:08 +0100

debmake (3.5.16) frozen unstable; urgency=medium

  * debstd: According to policy, do not make postinst or postrm scripts to
    tweak any configuration files in /etc.
  * debstd(1): Document the change.

 -- Santiago Vila <sanvila@ctv.es>  Fri, 20 Nov 1998 12:10:24 +0100

debmake (3.5.15) frozen unstable; urgency=high

  * Clarified /usr/doc/debmake/examples/sample.multi/README (Bug #27844).
  * Fixed a debstd typo which produced very weird effects (Bug #29157).
  * Updated Standards-Version.

 -- Santiago Vila <sanvila@ctv.es>  Mon,  9 Nov 1998 17:29:30 +0100

debmake (3.5.14) unstable; urgency=low

  * Fixed handling of `nodeps' files (Bug #27480).
  * debstd now creates temp files in a safe way.

 -- Santiago Vila <sanvila@ctv.es>  Thu,  8 Oct 1998 18:30:05 +0200

debmake (3.5.13) unstable; urgency=low

  * debstd -p now warns when uid or gid is between 100 and 59999 (Bug #16340).
  * debstd: documentation compressing and symlink checking does no longer
    fail when there are spaces in filenames (Bug #8974).
  * Changed `make' by `$(MAKE)' in all debian/rules templates.
  * Removed the `function' keyword from deb-make and debstd.
  * Updated init.d.ex example file (Bug #23654).

 -- Santiago Vila <sanvila@ctv.es>  Sun,  4 Oct 1998 12:24:49 +0200

debmake (3.5.12) unstable; urgency=low

  * debstd now passes -isp option to dpkg-gencontrol (wishlist bug #23720).
  * debstd now behaves under GNU/Hurd the same way it does under GNU/Linux.

 -- Santiago Vila <sanvila@ctv.es>  Tue, 21 Jul 1998 21:00:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Santiago Vila <sanvila@ctv.es>
-Standards-Version: 2.4.1
+Standards-Version: 2.5.0
 
 Package: debmake
 Architecture: all
 Suggests: devscripts, debsums
-Depends: dpkg-dev, file, fileutils (>= 3.16-4), patch, ed
+Depends: dpkg-dev, file, fileutils (>= 3.16-4), patch, ed, debianutils (>= 1.6)
 Description: Debianizing Tool and automated binary generation
  Eases the development and maintenance of Debian Sourcepackages.
  .

=== debian/rules ===
--- 
+++ 
@@ -4,23 +4,24 @@
 
 build:
 	$(checkdir)
-	make
+	$(MAKE)
 	touch build
 
 clean:
 	$(checkdir)
 	-rm -f build
-	-make clean
+	-$(MAKE) clean
 	-rm -f `find . -name "*~"`
-	-rm -rf debian/tmp debian/*/tmp debian/files* core debian/substvars
+	-rm -rf debian/tmp debian/files* core debian/substvars
 
 binary-indep: checkroot build
 	$(checkdir)
 
 binary-arch: checkroot build
 	$(checkdir)
-	-rm -rf debian/tmp debian/*/tmp
-	make install DESTDIR=debian/tmp
+	-rm -rf debian/tmp
+	install -d debian/tmp
+	$(MAKE) install DESTDIR=`pwd`/debian/tmp
 	./debstd HOWTO* convert*
 	dpkg-gencontrol
 	chown -R root.root debian/tmp

## debmake 3.6.4

=== debian/changelog ===
debmake (3.6.4) frozen unstable; urgency=low

  * Added support for changelog urgency comments (Bug #58274).
    Thanks to Hiroshi KISE <fuyuneko@ryukyu.ne.jp> for the patch.

 -- Santiago Vila <sanvila@ctv.es>  Wed,  8 Mar 2000 20:41:32 +0100

debmake (3.6.3) frozen unstable; urgency=low

  * Updated HOWTO.first_time to reflect current location of packaging-manual
    and debian-policy documents (Bug #56648).
  * Pass -isp to dpkg-gencontrol in all debian/rules templates (debstd was
    already updated for this but some templates were not).
  * Removed convert-to-3.0 and the examples directory, since they were
    severily out of date.
  * Updated year in copyright file.

 -- Santiago Vila <sanvila@ctv.es>  Thu, 10 Feb 2000 12:29:30 +0100

debmake (3.6.2) unstable; urgency=low

  * Added a new -d option which disables generation of symlinks
    for the FHS doc transition (Bug #49880).
  * Standards-Version: 3.1.1.

 -- Santiago Vila <sanvila@ctv.es>  Wed, 24 Nov 1999 12:55:52 +0100

debmake (3.6.1) unstable; urgency=low

  * Fixed a problem with doc symlinks in multi-binary packages.
  * Improved script interpreter test (allow spaces after #!).
  * Thanks to Jim Van Zandt <jrv@vanzandt.mv.com> for the reports
    and the fixes.

 -- Santiago Vila <sanvila@ctv.es>  Thu,  4 Nov 1999 11:13:34 +0100

debmake (3.6.0) unstable; urgency=low

  * Standards-Version: 3.0.1 + technical committee,
    i.e. manage symlinks in prerm and postinst as in debhelper.
  * Removed trailing "on #DATE#" in most maintainer scripts.

 -- Santiago Vila <sanvila@ctv.es>  Wed, 13 Oct 1999 12:14:25 +0200

debmake (3.6) unstable; urgency=low

  * Major changes to produce FHS-compliant packages.
  * Rewritten copyright file.
  * Standards-Version: 3.0.0.

 -- Santiago Vila <sanvila@ctv.es>  Mon, 19 Jul 1999 14:14:35 +0200

debmake (3.5.20) unstable; urgency=low

  * Do not use ".." in manpage symlinks wherever possible (Bug#32356).
    Lintian complained about this. Thanks to Vincent Renardias for the fix.

 -- Santiago Vila <sanvila@ctv.es>  Mon,  1 Feb 1999 18:32:29 +0100

debmake (3.5.19) unstable; urgency=low

  * Moved /usr/lib/deb-make to /usr/share/debmake for FHS compliance.
  * Changed deb-make, debstd and debstd(1) accordingly.
  * ${debmake_dir}/debian/changelog: Do not use the emacs command
    add-log-mailing-address, since it leads to wrong changelog entries
    in NMUs (Bug #30701).

 -- Santiago Vila <sanvila@ctv.es>  Sun, 20 Dec 1998 17:52:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Santiago Vila <sanvila@ctv.es>
-Standards-Version: 2.5.0
+Standards-Version: 3.1.1
 
 Package: debmake
 Architecture: all

## debmake 3.6.10.woody.1

=== Makefile ===
# This makefile is really small. Most of the
# intelligence is in debian/debstd

all:

clean:

install:
	install -d $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/share/debmake
	install -p deb-make debstd checkbash $(DESTDIR)/usr/bin
	cp -a lib/* $(DESTDIR)/usr/share/debmake

=== debian/changelog ===
debmake (3.6.10.woody.1) stable-security; urgency=medium

  * Fixed insecure temporary directory usage in debstd (Bug #286382).
    Applied fix from debmake_3.7.7.

 -- Santiago Vila <sanvila@debian.org>  Mon, 20 Dec 2004 23:20:14 +0100

debmake (3.6.10) unstable; urgency=low

  * Fixed misleading documentation on debconf in debstd.1 (Closes: #97360)
  * TODO: fix use of bold and italic in man page

 -- Raul Miller <moth@debian.org>  Sun, 10 Jun 2001 07:36:54 -0400

debmake (3.6.9) unstable; urgency=low

  * Modified debianl/rules and debianm/rules templates so that CVS
    directories are not removed in binary-arch target (Closes: #77733).
  * Thanks to Raul Miller for taking over this package.
    Changed the Maintainer field in the control file.

 -- Santiago Vila <sanvila@debian.org>  Thu,  5 Apr 2001 19:57:36 +0200

debmake (3.6.8) unstable; urgency=low

  * Fixed a typo which made .comment and .note sections in ELF binaries
    not to be stripped (Closes: #85633).
  * Strip those sections from shared libraries too.

 -- Santiago Vila <sanvila@debian.org>  Mon, 12 Feb 2001 18:52:52 +0100

debmake (3.6.7) unstable; urgency=low

  * Removed `TODO' file since development is actually frozen.
  * Build-Depends-Indep: debmake. This will probably be removed when doc
    symlinks stop being required (it will be easier then). Since this is
    a binary-all package, we can live with that for now.
  * Standards-Version: 3.2.1.

 -- Santiago Vila <sanvila@debian.org>  Mon,  1 Jan 2001 18:39:01 +0100

debmake (3.6.6) unstable; urgency=low

  * Modified watch.ex as suggested by Stefan Alfredsson and Josip Rodin.
    Closes: Bug#63811.

 -- Santiago Vila <sanvila@ctv.es>  Wed, 10 May 2000 13:54:41 +0200

debmake (3.6.5) unstable; urgency=low

  * Do not warn about executables in /etc/ppp/ip-*.d (Closes: #60996).
  * Warn about executables in /etc/rc.boot, since this is deprecated.

 -- Santiago Vila <sanvila@ctv.es>  Thu, 27 Apr 2000 17:56:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: debmake
 Section: devel
 Priority: optional
-Maintainer: Santiago Vila <sanvila@ctv.es>
-Standards-Version: 3.1.1
+Maintainer: Raul Miller <moth@debian.org>
+Standards-Version: 3.2.1
+Build-Depends-Indep: debmake
 
 Package: debmake
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,8 @@
 	-rm -rf debian/tmp
 	install -d debian/tmp
 	$(MAKE) install DESTDIR=`pwd`/debian/tmp
-	./debstd HOWTO* convert*
-	dpkg-gencontrol
+	./debstd HOWTO*
+	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp
 	dpkg --build debian/tmp ..

## debmake 3.7.4

=== debian/changelog ===
debmake (3.7.4) unstable; urgency=low

  * Fixed typo in deb-make (Closes: #229305).
  * Added missing Build-Depends: file (Closes: #253661).

 -- Santiago Vila <sanvila@debian.org>  Thu, 10 Jun 2004 19:01:56 +0200

debmake (3.7.3) unstable; urgency=low

  * Changed all occurrences of chown to use `:', not `.'.

 -- Santiago Vila <sanvila@debian.org>  Wed,  8 Oct 2003 14:21:16 +0200

debmake (3.7.2) unstable; urgency=low

  * Added a manpage for checkbash (Closes: #161922).
    Thanks to Dennis Stampfer.
  * Made debstd to obey "nostrip" in DEB_BUILD_OPTIONS (Closes: #170729).
    Thanks to Andrew Moise.
  * Updated Depends field (Closes: #172084).
  * Removed initial `-' from "rm -f" lines in rules templates. If "rm -f"
    fails there is something wrong we should fix rather than hide it.
  * Standards-Version: 3.5.8.

 -- Santiago Vila <sanvila@debian.org>  Sat,  7 Dec 2002 15:26:58 +0100

debmake (3.7.1) unstable; urgency=low

  * Dropped support for suidmanager, since it's deprecated (Closes: #92584).
    WARNING: Policy is now to ship binaries with special permissions in
    the .deb and let the user to override them using dpkg-statoverride.
    Explicit chown or chmod calls in debian/rules might need to be modified.
  * Package names are allowed to begin with a number, modified deb-make
    so that it does not complain about that (Closes: #111786).
  * Modified deb-make to use getent (Closes: #131495).
  * Compressing of documentation does no longer fail when there is nothing
    to compress (Closes: #162449). Warning: In certain cases this may be
    a bug in the package, but not always. Use lintian and read policy.

 -- Santiago Vila <sanvila@debian.org>  Sun, 29 Sep 2002 17:12:42 +0200

debmake (3.7.0) unstable; urgency=medium

  * Fixed HOWTO.first_time regarding debuild and debrelease (Closes: #112285).
  * Fixed spelling in extended description (Closes: #124539).
  * Create .deb in binary-indep, since debmake is Architecture: all.
  * Do not create doc symlinks anymore. Since this was the thing that made
    debmake to build-depend on itself, the build-dependency is now dropped.
  * Removed debian-changelog emacs stuff from all changelogs.
  * Added Build-Depends: debmake to all control templates.
  * Added myself to the Uploaders field.

 -- Santiago Vila <sanvila@debian.org>  Tue, 17 Sep 2002 17:53:44 +0200

## debmake 3.7.4ubuntu0.1

=== debian/changelog ===
debmake (3.7.4ubuntu0.1) warty-security; urgency=high

  * Fixed insecure temporary directory usage in debstd.
    (CAN-2004-1179)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Thu, 23 Dec 2004 11:42:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: devel
 Priority: optional
 Maintainer: Raul Miller <moth@debian.org>
-Standards-Version: 3.2.1
-Build-Depends-Indep: debmake
+Standards-Version: 3.5.8
+Uploaders: Raul Miller <moth@debian.org>, Santiago Vila <sanvila@debian.org>
+Build-Depends: file
 
 Package: debmake
 Architecture: all
 Suggests: devscripts, debsums
-Depends: dpkg-dev, file, fileutils (>= 3.16-4), patch, ed, debianutils (>= 1.6)
+Depends: dpkg-dev, file, fileutils (>= 3.16-4) | coreutils, patch, ed, debianutils (>= 1.6)
 Description: Debianizing Tool and automated binary generation
- Eases the development and maintenance of Debian Sourcepackages.
+ Eases the development and maintenance of Debian source packages.
  .
-  - deb-make: Generate a debian style sourcepackage from a regular sourcecode
+  - deb-make: Generate a debian style source package from a regular source code
    archive. Customizes control files. Provides example setup for debstd that is
    usually usable with minimal editing.
   - "debstd" which has the following abilities:

=== debian/rules ===
#!/usr/bin/make -f

package=debmake

build:
	$(checkdir)
	$(MAKE)
	touch build

clean:
	$(checkdir)
	rm -f build
	-$(MAKE) clean
	rm -f `find . -name "*~"`
	rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
	rm -rf debian/tmp
	install -d debian/tmp
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	./debstd HOWTO*
	dpkg-gencontrol -isp
	chown -R root:root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

binary-arch: checkroot build
	$(checkdir)

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## debmake 3.7.7

=== debian/changelog ===
debmake (3.7.7) unstable; urgency=medium

  * Fixed insecure temporary directory usage in debstd (Closes: #286382).
    Simplified code, no need to use a temporary directory at all.
  * Standards-Version: 3.6.1.

 -- Santiago Vila <sanvila@debian.org>  Mon, 20 Dec 2004 23:14:22 +0100

debmake (3.7.6) unstable; urgency=low

  * Modified package description to match current deprecated status.
    Thanks to Tomas Pospisek.

 -- Santiago Vila <sanvila@debian.org>  Thu,  9 Dec 2004 18:37:34 +0100

debmake (3.7.5) unstable; urgency=low

  * The "please do not create new packages using debmake" release,
    also known as "this is the beginning of the end".
  * Removed deb-make, related skeleton files and manpage, if you feel
    nostalgic, download the source and rebuild the package using
    DEPRECATED=no in debian/rules.
  * Removed HOWTO.first_time and README.debian from binary package.
  * Put my name back in the "Maintainer" field, but as I plan to kill
    this package I'm not sure the term is appropriate.
  * Changed manpage sections from 1L to 1 (lintian warning).

 -- Santiago Vila <sanvila@debian.org>  Tue,  7 Dec 2004 16:19:10 +0100

## debmake 3.7.10

=== Makefile ===
# This makefile is really small. Most of the
# intelligence is in debian/debstd

all:

clean:

install:
	install -d $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/share/debmake
	install -d $(DESTDIR)/usr/share/man/man1
	install -p debstd checkbash $(DESTDIR)/usr/bin
	install -m 644 debstd.1 checkbash.1 $(DESTDIR)/usr/share/man/man1
	cp -a lib/*  $(DESTDIR)/usr/share/debmake
ifneq ($(DEPRECATED),yes)
	install -p deb-make $(DESTDIR)/usr/bin
	install -m 644 deb-make.1 $(DESTDIR)/usr/share/man/man1
	cp -a skel/* $(DESTDIR)/usr/share/debmake
endif

=== debian/changelog ===
debmake (3.7.10) unstable; urgency=low

  * Do not compress already compressed docs or manpages.
  * Some more changes before "set -e" may be used.

 -- Santiago Vila <sanvila@debian.org>  Tue,  8 Mar 2005 16:46:30 +0100

debmake (3.7.9) unstable; urgency=low

  * Changed "head -1" to "head -n 1" everywhere to follow POSIX.
  * Made changes to debstd that would allow it to build itself if
    it had "set -e" at the very beginning.

 -- Santiago Vila <sanvila@debian.org>  Sat, 29 Jan 2005 19:05:40 +0100

debmake (3.7.8) unstable; urgency=low

  * Do not support old style debstd invocations anymore, where the first
    parameter was supposed to be the package name.
  * Removed some bashisms and some XSI:isms.

 -- Santiago Vila <sanvila@debian.org>  Thu,  6 Jan 2005 19:32:08 +0100

=== debian/control ===
Source: debmake
Section: devel
Priority: optional
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.6.1
Uploaders: Raul Miller <moth@debian.org>, Santiago Vila <sanvila@debian.org>
Build-Depends: file

Package: debmake
Architecture: all
Suggests: devscripts, debsums
Depends: dpkg-dev, file, fileutils (>= 3.16-4) | coreutils, patch, ed, debianutils (>= 1.6)
Description: helper package for debian/rules (deprecated)
 This package provides the "debstd" script, which does the following:
  - Automates compression of documentation, localizes manpages
   compresses and installs them.
  - Supports multiple binaries generated from a single source package
  - Generates maintainer scripts for you and installs all scripts
   for you in the proper locations with the proper permissions.
  - Can perform modifications on a variety of important debian config files
   through generation of proper maintainer scripts.
  - Runs dpkg-shlibdeps on all ELF binaries for you and generates correct
   shlibs file for provided libraries automatically.
  - Checks symlinks to manpages /documentation and redirects
   them if a file was compressed.
 .
 This package is not being actively developed anymore, it's deprecated,
 and it might disappear in a future Debian release. Please do not use it
 to create new packages. If you plan to use a helper package for debian/rules,
 consider using debhelper instead.
